<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Blog</title>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    <!-- Medium Style Editor -->
    <script src="//cdn.jsdelivr.net/npm/medium-editor@latest/dist/js/medium-editor.min.js"></script>
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/medium-editor@latest/dist/css/medium-editor.min.css" type="text/css" media="screen" charset="utf-8">

    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/blog.css' %}">

    <!-- fonts -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat|Roboto" rel="stylesheet">

    <!-- fontawesome icons -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

</head>
<body>

    <!-- NavBar -->
    <nav class="navbar navbar-expand-lg bg-light robotofont">
        <div class="container">
            <div class="navbar-nav align-items-center">
                <a class="navbar-brand" href="{% url 'blog:post_list' %}">Blog</a>
                <a class="nav-item nav-link" href="{% url 'blog:about' %}">About</a>
                <a class="nav-item nav-link" href="https://about.gitlab.com">GitLab</a>
                <a class="nav-item nav-link" href="https://getbootstrap.com">Bootstrap</a>
            </div>
            <div class="navbar-nav align-items-center ml-auto">
                {% if user.is_authenticated %}
                    <a class="nav-item nav-link" href="{% url 'blog:post_new' %}">New Post</a>
                    <a class="nav-item nav-link" href="{% url 'blog:post_draft_list' %}">Drafts</a>
                    <a class="nav-item nav-link" href="{% url 'logout' %}">Log out</a>
                    <a>Welcome {{ user.username }}</a>
                    {% else %}
                    <a class="nav-item nav-link" href="{% url 'login' %}"><i class="fas fa-sign-in-alt"></i></a>
                {% endif %}
            </div>
        </div>
    </nav>

    <!-- Content Blog -->
    <div class="content container">
        <div class="row">
            <div class="col-md-8">
                <div class="blog_posts">
                    {% block content %}
                    {% endblock %}
                </div>
            </div>
        </div>
    </div>

</body>
</html>